Gecode::Int::NoOverlap::ManProp< Box > Class Template Reference
Other available functionality » Integer propagators

No-overlap propagator for mandatory boxes. More...

`#include <no-overlap.hh>`

## Public Member Functions

virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)
| Perform propagation.
virtual Actor * | copy (Space &home)
| Copy propagator during cloning.
virtual size_t | dispose (Space &home)
| Destructor.
Public Member Functions inherited from Gecode::Int::NoOverlap::Base< Box >
virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function.
virtual void | reschedule (Space &home)
| Schedule function.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Advise function.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static ExecStatus | post (Home home, Box *b, int n)
| Post propagator for boxes b.
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Protected Member Functions

| ManProp (Home home, Box *b, int n)
| Constructor for posting.
| ManProp (Space &home, ManProp< Box > &p)
| Constructor for cloning p.
Protected Member Functions inherited from Gecode::Int::NoOverlap::Base< Box >
| Base (Home home, Box *b, int n)
| Constructor for posting with n mandatory boxes.
| Base (Space &home, Base< Box > &p, int m)
| Constructor for cloning p with m boxes.
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.

## Additional Inherited Members

Static Protected Member Functions inherited from Gecode::Int::NoOverlap::Base< Box >
static int | partition (Box *b, int i, int n)
| Partition n boxes b starting at position i.
Protected Attributes inherited from Gecode::Int::NoOverlap::Base< Box >
Box * | b
| Boxes.
int | n
| Number of mandatory boxes: b[0] ... b[n-1].

## Detailed Description

template<class Box>
class Gecode::Int::NoOverlap::ManProp< Box >

No-overlap propagator for mandatory boxes.

Requires

#include <gecode/int/no-overlap.hh>
no-overlap.hh

Definition at line 267 of file no-overlap.hh.

## Constructor & Destructor Documentation

## ManProp() [1/2]

template<class Box>

Gecode::Int::NoOverlap::ManProp< Box >::ManProp | ( | Home | home,
|  | Box * | b,
|  | int | n )

inline protected

Constructor for posting.

Definition at line 38 of file man.hpp.

## ManProp() [2/2]

template<class Box>

Gecode::Int::NoOverlap::ManProp< Box >::ManProp | ( | Space & | home,
|  | ManProp< Box > & | p )

inline protected

Constructor for cloning p.

Definition at line 59 of file man.hpp.

## Member Function Documentation

## post()

template<class Box>

ExecStatus Gecode::Int::NoOverlap::ManProp< Box >::post | ( | Home | home,
|  | Box * | b,
|  | int | n )

inline static

Post propagator for boxes b.

Definition at line 43 of file man.hpp.

## propagate()

template<class Box>

ExecStatus Gecode::Int::NoOverlap::ManProp< Box >::propagate | ( | Space & | home,
|  | const ModEventDelta & | med )

virtual

Perform propagation.

Implements Gecode::Propagator.

Definition at line 70 of file man.hpp.

## copy()

template<class Box>

Actor * Gecode::Int::NoOverlap::ManProp< Box >::copy | ( | Space & | home | ) |

virtual

Copy propagator during cloning.

Implements Gecode::Actor.

Definition at line 64 of file man.hpp.

## dispose()

template<class Box>

size_t Gecode::Int::NoOverlap::ManProp< Box >::dispose | ( | Space & | home | ) |

inline virtual

Destructor.

Reimplemented from Gecode::Int::NoOverlap::Base< Box >.

Definition at line 51 of file man.hpp.

The documentation for this class was generated from the following files:

- gecode/int/no-overlap.hh
- gecode/int/no-overlap/man.hpp